# Uses of Class
net.shibboleth.shared.logic.StrategyIndirectedPredicate

Packages that use StrategyIndirectedPredicate
Package
Description
net.shibboleth.shared.logic
Classes that represent basic first order logic concepts.

## Uses of StrategyIndirectedPredicate in net.shibboleth.shared.logic

Methods in net.shibboleth.shared.logic that return StrategyIndirectedPredicate
Modifier and Type
Method
Description
`static <T1, T2> StrategyIndirectedPredicate<T1,T2>`
StrategyIndirectedPredicate.`forCollection(Function<T1,T2> objectStrategy, Collection<T2> collection)`
Factory method for collection-based constructor.
`static <T1, T2> StrategyIndirectedPredicate<T1,T2>`
StrategyIndirectedPredicate.`forPredicate(Function<T1,T2> objectStrategy, Predicate<T2> pred)`
Factory method for predicate-based constructor.